@import url('https://fonts.googleapis.com/css?family=Roboto+Mono&display=swap');

body {
  margin: 0;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  font-family: Roboto Mono;
  line-height: 1.6rem;
}

*[onclick] {
  cursor: pointer;
}

#header {
  margin: 0;
  margin: 1.2rem 0 0 0;
  line-height: 2rem;
}

.bar {
  display: flex;
  justify-content: space-between;
}


.bottom-bar {
  display: flex;
  justify-content: space-between;
  /* flex-direction: row-reverse; */
}

#command-center {
  margin: 0 0.4rem;
  max-width: 60vw;
  min-height: 40vh;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  /* transform: translateY(-2vh); */
}

/* #left-wing {} */

/* #right-wing {} */

#play-area {
  margin: 1rem 0;
  min-height: 50vh;
  padding: 1.4rem;
  border-radius: 0.4rem;
  background: #eaeaea;
  /* width: 100%; */
  display: flex;
  flex-direction: column-reverse;
}

#canvas {
  /* margin-bottom: 1rem; */
  /* border: 2px solid red; */
  align-self: center;
  /* width: 100%;
  height: 100%; */
  /* box-sizing: border-box; */
  /* border: 1px solid black; */
}

#text-display {
  margin-bottom: 1rem;
  overflow: hidden;
}

#input-field {
  width: 100%;
  border: none;
  font: inherit;
  padding: 0.4rem 1rem;
  border-radius: 0.2rem;
  font-size: 1.2rem;
}

#redo-button {
  margin-left: 0.7rem;
  border: none;
  font: inherit;
  padding: 0.4rem 1rem;
  border-radius: 0.2rem;
  font-size: 1.2rem;
  cursor: pointer;
}

#theme-area {
  margin-top: 1rem;
  padding: 1.4rem 1rem;
  border-radius: 0.4rem;
  background: #eaeaea;
  display: grid;
  grid-gap: 1rem;
  grid-template-columns: 1fr 1fr 1fr 1fr;
}

#theme-center {
  margin: 0 0.4rem;
  width: 100%;
  max-width: 40rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  transform: translateY(-2vh);
}

.theme-button {
  padding: 1rem 0;
  background: gray;
  border-radius: 0.4rem;
  text-align: center;
  font-size: .8rem;
}

.theme-button:hover {
  cursor: pointer;
  box-shadow: inset 0 0 100px 100px rgba(255, 255, 255, 0.2);
}


#footer {
  margin-bottom: 1.2rem;
  display: flex;
}

#footer * {
  text-decoration: none;
  margin: 0 .5rem;
  color: inherit;
}

#footer .button {
  cursor: pointer;
}

#footer a:visited {
  color: unset;
}

.hidden {
  display: none !important;
}

body,
#header,
#left-wing,
#right-wing,
#play-area,
#theme-area,
#theme-center,
#text-display,
#redo-button,
#footer,
#highlight {
  transition: all .4s ease-in-out 0s;
}